Bug 180761 - sysutils/ioping update to 0.7
Summary: sysutils/ioping update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-23 13:00 UTC by Oleg Ginzburg
Modified: 2013-07-23 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.76 KB, patch)
2013-07-23 13:00 UTC, Oleg Ginzburg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2013-07-23 13:00:00 UTC
Just update

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2013-07-23 18:24:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 Pawel Pekala freebsd_committer 2013-07-23 18:33:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-23 18:33:02 UTC
Author: pawel
Date: Tue Jul 23 17:32:48 2013
New Revision: 323543
URL: http://svnweb.freebsd.org/changeset/ports/323543

Log:
  Update to version 0.7
  
  While here:
  - Trim Makefile header
  - Convert tab to space in WWW: line
  
  PR:		ports/180761
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru> (maintainer)

Added:
  head/sysutils/ioping/files/
  head/sysutils/ioping/files/patch-ioping.c   (contents, props changed)
Modified:
  head/sysutils/ioping/Makefile   (contents, props changed)
  head/sysutils/ioping/distinfo   (contents, props changed)
  head/sysutils/ioping/pkg-descr   (contents, props changed)

Modified: head/sysutils/ioping/Makefile
==============================================================================
--- head/sysutils/ioping/Makefile	Tue Jul 23 17:21:32 2013	(r323542)
+++ head/sysutils/ioping/Makefile	Tue Jul 23 17:32:48 2013	(r323543)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	ioping
-# Date created:		27 December 2011
-# Whom:			Oleg Ginzburg <olevole@olevole.ru>
-#
+# Created by: Oleg Ginzburg <olevole@olevole.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	ioping
-PORTVERSION=	0.6
+PORTVERSION=	0.7
 CATEGORIES=	sysutils
 MASTER_SITES=	GOOGLE_CODE
 

Modified: head/sysutils/ioping/distinfo
==============================================================================
--- head/sysutils/ioping/distinfo	Tue Jul 23 17:21:32 2013	(r323542)
+++ head/sysutils/ioping/distinfo	Tue Jul 23 17:32:48 2013	(r323543)
@@ -1,2 +1,2 @@
-SHA256 (ioping-0.6.tar.gz) = 1d14469b1bfa9243f992be784cc0e3cd86c66bb7edc1b83e22360075c5435ceb
-SIZE (ioping-0.6.tar.gz) = 6957
+SHA256 (ioping-0.7.tar.gz) = 234e28eeb256e77756a077604b48d59f206a5288c3da6f207629e783f54b13b0
+SIZE (ioping-0.7.tar.gz) = 10011

Added: head/sysutils/ioping/files/patch-ioping.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/ioping/files/patch-ioping.c	Tue Jul 23 17:32:48 2013	(r323543)
@@ -0,0 +1,37 @@
+--- ioping.c.orig	2013-02-02 21:00:59.000000000 +0400
++++ ioping.c	2013-07-23 15:53:52.000000000 +0400
+@@ -154,11 +154,6 @@
+ 	return FlushFileBuffers(h) ? 0 : -1;
+ }
+ 
+-int fdatasync(int fd)
+-{
+-	return fsync(fd);
+-}
+-
+ void srandom(unsigned int seed)
+ {
+ 	srand(seed);
+@@ -178,6 +173,13 @@
+ 
+ #endif /* __MINGW32__ */
+ 
++#if defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__MINGW32__)
++int fdatasync(int fd)
++{
++        return fsync(fd);
++}
++#endif /* (__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__MINGW32__) */
++
+ #ifndef HAVE_POSIX_MEMALIGN
+ /* don't free it */
+ int posix_memalign(void **memptr, size_t alignment, size_t size)
+@@ -222,7 +224,7 @@
+ 
+ void version(void)
+ {
+-	fprintf(stderr, "ioping %s\n", VERSION);
++	fprintf(stderr, "ioping %f\n", VERSION);
+ }
+ 
+ struct suffix {

Modified: head/sysutils/ioping/pkg-descr
==============================================================================
--- head/sysutils/ioping/pkg-descr	Tue Jul 23 17:21:32 2013	(r323542)
+++ head/sysutils/ioping/pkg-descr	Tue Jul 23 17:32:48 2013	(r323543)
@@ -1,3 +1,3 @@
 This tool lets you monitor I/O latency in real time
 
-WWW:	http://code.google.com/p/ioping/
+WWW: http://code.google.com/p/ioping/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"